Cannot install microupdates on a server node: dpkg: error processing package install-info

Created:

2017-06-13 21:34:19 UTC

Modified:

2017-08-16 16:15:17 UTC

0

Was this article helpful?


Have more questions?

Submit a request

Cannot install microupdates on a server node: dpkg: error processing package install-info

Applicable to:

  • Plesk for Linux

Symptoms

Installing microupdates fails with the following error:

Setting up install-info (5.2.0.dfsg.1-2) ... 
/etc/environment: line 1: unexpected EOF while looking for matching `"'
dpkg: error processing package install-info (--configure):
subprocess installed post-installation script returned error exit status 2
Errors were encountered while processing:
install-info
E: Sub-process /usr/bin/dpkg returned an error code (1)

Cause

Malformed file /etc/environment

Resolution

In this particular case, dpkg errors out because of excess quotation mark, as it is stated in the STDOUT:

/etc/environment: line 1: unexpected EOF while looking for matching `"'

To resolve the issue, remove the excess character and start microupdate installation:

# cat /etc/environment
PATH="/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/games:/usr/local/games:/usr/local/bin/wp"
Have more questions? Submit a request
Please sign in to leave a comment.